
ISIS - Bug #4520

Band selection does not work with pixel2map

2016-11-04 12:23 PM - Jesse Mapel

Status: Closed   

Priority: Normal   

Assignee: Ian Humphrey   

Category: Applications   

Target version: FY17 Sprint 3   

Impact: band selection will now work with

pixel2map input

Software Version:  

Description

band selection does not work with pixel2map; the output map projection contains outputs for every band in the input image

regardless.

For example:

pixel2map from=myCube.cub+1 to=outCube.cub

 

will produce projections of all bands of myCube.cub instead of just the first band.

Related issues:

Related to ISIS - UserTestPlan #4523: Band selection does not work with pixel... Closed

History

#1 - 2016-11-04 12:25 PM - Jesse Mapel

Note this bug was reported to us by the Dawn VIR team.

#2 - 2016-11-07 09:34 AM - Tammy Becker

- Status changed from New to Acknowledged

Not a block, cubeatt is a work around

#3 - 2016-11-07 01:41 PM - Tammy Becker

- Related to UserTestPlan #4523: Band selection does not work with pixel2map added

#4 - 2016-11-10 10:18 AM - Jason Laura

- Target version set to FY17 Backlog

#5 - 2016-11-10 11:51 AM - Jason Laura

- Story points set to 2

#6 - 2016-11-10 11:51 AM - Jason Laura

- Target version changed from FY17 Backlog to FY17 Sprint 3

#7 - 2016-11-15 02:00 PM - Ian Humphrey

- Assignee set to Ian Humphrey

#8 - 2016-11-15 02:01 PM - Ian Humphrey

2016-12-26 1/2



- Status changed from Acknowledged to In Progress

#9 - 2016-11-16 12:33 PM - Ian Humphrey

- Impact updated

Changes in:

/work/projects/isis/latest/m04520

The user test plan (4523) has been adapted to an appTest at:

/work/projects/isis/latest/m04520/isis/src/base/apps/pixel2map/tsts/bandSelect

This test uses the same input cube in the user test plan and selects the first band.

/work/projects/isis/latest/m04520/isis/src/base/apps/pixel2map/tsts/multipleInputCubes has also been updated to now test a fromlist where each cube

has band 2 selected.

#10 - 2016-11-16 12:34 PM - Ian Humphrey

- Status changed from In Progress to Resolved

#11 - 2016-11-16 12:35 PM - Ian Humphrey

Note that I ran through the test plan as well.

#12 - 2016-11-16 12:56 PM - Marjorie Hahn

- Status changed from Resolved to In Review

#13 - 2016-11-16 01:41 PM - Marjorie Hahn

- Status changed from In Review to Closed

Code changes and new test to exercise changes both look good.

#14 - 2016-11-28 02:33 PM - Ian Humphrey

- Status changed from Closed to Blocked

#15 - 2016-12-02 02:21 PM - Ian Humphrey

- Status changed from Blocked to Closed
